(***********************************************************************)
(*  v      *   The Coq Proof Assistant  /  The Coq Development Team    *)
(* <O___,, *        INRIA-Rocquencourt  &  LRI-CNRS-Orsay              *)
(*   \VV/  *************************************************************)
(*    //   *      This file is distributed under the terms of the      *)
(*         *       GNU Lesser General Public License Version 2.1       *)
(***********************************************************************)

(*i $Id: DiscrProps.v,v 1.4 2002/04/17 11:30:20 herbelin Exp $ i*)

Require Export DiscrAxioms.
Require Export LtProps.

(** Properties of a discrete order *)

Lemma lt_le_Sx_y : (x,y:N)(x<y) -> ((S x)<=y).
EAuto with num.
Qed.
Hints Resolve lt_le_Sx_y : num.